Bug 137605

Summary: [EFL] Make it possible to use ninja for EFL build too
Product: WebKit Reporter: Éva Balázsfalvi <evab.u-szeged>
Component: Tools / TestsAssignee: Éva Balázsfalvi <evab.u-szeged>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, dbates, ossy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 137606, 137818    
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Éva Balázsfalvi 2014-10-10 04:06:04 PDT
Make it possible to use ninja for EFL build too.
Comment 1 Éva Balázsfalvi 2014-10-10 04:08:26 PDT
Created attachment 239617 [details]
Patch
Comment 2 Gyuyoung Kim 2014-10-10 22:55:29 PDT
Comment on attachment 239617 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=239617&action=review

r- due to missing ninja-build in install-dependency.

> Tools/Scripts/webkitdirs.pm:1763
> +    my $willUseNinja = canUseNinja();

Personally I like to use ninja. To use ninja for EFL, we have to add ninja-build to EFL install-dependency as well.
Comment 3 Éva Balázsfalvi 2014-10-13 02:54:28 PDT
Created attachment 239720 [details]
Patch
Comment 4 Csaba Osztrogonác 2014-10-13 03:34:20 PDT
Comment on attachment 239720 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=239720&action=review

> Tools/efl/install-dependencies:91
> +
> +    apt-get install ninja-build

Why don't we add it simple to the first section, similar to g++, cmake, etc. ?
Comment 5 Éva Balázsfalvi 2014-10-13 05:45:33 PDT
Created attachment 239724 [details]
Patch
Comment 6 Csaba Osztrogonác 2014-10-14 04:34:36 PDT
Comment on attachment 239724 [details]
Patch

r=me
Comment 7 WebKit Commit Bot 2014-10-14 05:09:53 PDT
Comment on attachment 239724 [details]
Patch

Clearing flags on attachment: 239724

Committed r174681: <http://trac.webkit.org/changeset/174681>
Comment 8 WebKit Commit Bot 2014-10-14 05:09:55 PDT
All reviewed patches have been landed.  Closing bug.